> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crunchz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# React to Message

> React to WhatsApp messages with emojis for quick, expressive responses without sending full text messages.



## OpenAPI

````yaml PUT /send-message/reaction
openapi: 3.1.0
info:
  title: CrunchzApp API Docs
  version: 1.0.0
  description: >-
    Comprehensive WhatsApp API for seamless messaging integration, automation,
    and customer communication in your applications.
servers:
  - url: https://api.crunchz.app/api
security:
  - http: []
paths:
  /send-message/reaction:
    put:
      tags:
        - Send Message
        - SendMessage
      description: >-
        React to WhatsApp messages with emojis for quick, expressive responses
        without sending full text messages.
      operationId: sendMessage.sendReaction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReactionMessageRequest'
      responses:
        '200':
          description: '`ReactionMessageResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReactionMessageResource'
        '400':
          $ref: '#/components/responses/BadRequestException'
        '401':
          $ref: '#/components/responses/UnauthorizedException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
        '500':
          $ref: '#/components/responses/InternalServerErrorException'
components:
  schemas:
    ReactionMessageRequest:
      type: object
      properties:
        message_id:
          type: string
          description: Message ID.
          example: false_xxx@c.us_3A3729D867221FE0B9BD
        reaction:
          type: string
          description: Reaction emoji
          example: 😍
      required:
        - message_id
        - reaction
      title: ReactionMessageRequest
    ReactionMessageResource:
      type: object
      properties:
        success:
          type: boolean
          description: The success status of response.
        message:
          type: string
          description: The message of response.
        data:
          type: object
          properties:
            id:
              type: string
              description: The message identifier.
            status:
              type: string
              description: The status of the message.
            message:
              type: string
              description: The message of reaction.
            timestamp:
              type: string
              description: The timestamp when it sent.
          required:
            - id
            - status
            - message
            - timestamp
      required:
        - success
        - message
        - data
      title: ReactionMessageResource
  responses:
    BadRequestException:
      description: Bad request error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    UnauthorizedException:
      description: Unauthorized error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
    InternalServerErrorException:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````